DELETE /addresses/{addressId}

Details

Steps

Step Description Expected result
In BO, Go to Advanced Parameters > Authorization Server Authorization Server Page is displayed correctly.
No records found in the table
Click on the button “Add new API access” New API access Page is displayed correctly
* Fill the form with following data
* Click on “Generate client secret & Save” button
* The message “The API access and Client secret has been generated sucessfully” is displayed
* The message “Client secret: " is displayed
Go to Customers > Addresses page Addreses page is displayed correctly

Page title = Addresses
Filter the list by the created address and get the id of address as {addressId} 1 record is found
addressId > 0
Request with method DELETE the endpoint “https://[url of your shop]/admin-api/addresses/{addressId}” The HTTP code is 204.
Filter by address Id 0 record found
Reset all filters Filters are reset

Total addresses = Number of addresses
In BO, Go to Advanced Parameters > Authorization Server Authorization Server Page is displayed correctly.
1 record found in the table
On the first row, click on the button “Three points” The dropdown is displayed
Click on the Delete Button in the dropdown A modal appeared
Click on the Confirm Button in the modal The message “Successful deletion” is displayed
No records found in the table